DIPlib Documentation - ©1995-2009 Quantitative Imaging Group, Delft University of Technology.

# MeanError

difference measure

## SYNOPSIS

`#include "dip_math.h"`

dip_Error dip_MeanError ( in1, in2, mask, out )

## DATA TYPES

binary, integer, float, complex

## FUNCTION

Calculates the mean error difference between all pixel values of `in1` and `in2`. Optionally the `mask` image can be used to exclude pixels from the calculation by setting the value of these pixels in `mask` to zero.

## ARGUMENTS

Data type | Name | Description
`dip_Image` | `in1` | First input
`dip_Image` | `in2` | Second input
`dip_Image` | `mask` | Mask
`dip_Image` | `out` | Output

## SEE ALSO

`MeanSquareError`, `RootMeanSquareError`, `MeanAbsoluteError`, `LnNormError`, `IDivergence`

DIPlib on-line documentation | Function reference | Global function index